## org.eclipse.amp.amf.ide.repast
Class RepastBareProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.amf.gen.ide.PluginProjectWizard
              org.eclipse.amp.amf.ide.repast.RepastProjectWizard
                  org.eclipse.amp.amf.ide.repast.RepastBareProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class RepastBareProjectWizard

extends RepastProjectWizard

Field Summary

Fields inherited from class org.eclipse.amp.amf.ide.repast.RepastProjectWizard
`REPAST_HOME`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`RepastBareProjectWizard()`

Method Summary
`void` `addBuilders(java.util.List<java.lang.String> builderIDs)`
`java.lang.String` `getSourceDirName()`

Methods inherited from class org.eclipse.amp.amf.ide.repast.RepastProjectWizard
`addClasspaths, getProjectTypeName`

Methods inherited from class org.eclipse.amp.amf.gen.ide.PluginProjectWizard
`addPages, createFiles, getNatures, getPluginID, getProject, init, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchWizard
`init`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

Constructor Detail

### RepastBareProjectWizard

    public RepastBareProjectWizard()

Method Detail

### addBuilders

    public void addBuilders(java.util.List<java.lang.String> builderIDs)

  Overrides:
    `addBuilders` in class `RepastProjectWizard`

### getSourceDirName

    public java.lang.String getSourceDirName()

  Overrides:
    `getSourceDirName` in class `RepastProjectWizard`